Doomsday Engine - Bug #1730

Failure to close taskbar dialogs/popups with click outside

2014-02-26 02:10 - danij

Status: Closed Start date: 2014-02-26
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15

Description

Steps to reproduce:

1. Open the task bar
2. Navigate to Input Settings

3. Click the gauge button to open the "developer options" popup

4. With said popup open, click on the "Network" task bar menu item

On performing the last step, only the "developer options" popup is closed, resulting in both Input Settings and Network Settings being

displayed at once.

Related issues:

Related to Bug #1731: Click to focus window also closes top-most taskbar dial...

Rejected 2014-02-26

Associated revisions

Revision cee36bcf - 2015-03-21 22:38 - skyjake

Fixed|libappfw: Menu closes open subwidgets when opening a new subwidget

Todo for later: If necessary, this could be a behavior flag in
MenuWidget.
Revision 2f5770fa - 2015-03-21 22:40 - skyjake

Fixed|libappfw: Menu closes open subwidgets when opening a new subwidget

Todo for later: If necessary, this could be a behavior flag in
MenuWidget.
History

#1 - 2014-02-26 19:30 - skyjake

- Assignee set to skyjake

#2 - 2015-03-21 19:47 - skyjake
- Status changed from New to Resolved
- Target version set to 1.15

- % Done changed from 0 to 100

#3 - 2015-03-21 22:40 - skyjake

- Status changed from Resolved to Closed

2025-04-04

1/1



http://www.tcpdf.org

